org.custommonkey.xmlunit

## Interface NodeTester

All Known Implementing Classes:
  AbstractNodeTester, CountingNodeTester, CountingNodeTester

    public interface NodeTester

Perform Node-by-Node validation of a DOM Document. Nodes are supplied to `testNode` method by a NodeTest instance, and after all the nodes in the NodeTest have been supplied the `noMoreNodes` method is called.
Examples and more at xmlunit.sourceforge.net

See Also:
  `NodeTest`

### Method Summary

Methods
`void` `noMoreNodes(NodeTest forTest)` Validate that the Nodes passed one-by-one to the `testNode` method were all the Nodes expected.
`void` `testNode(org.w3c.dom.Node aNode, NodeTest forTest)` Validate a single Node

### Method Detail

#### testNode

    void testNode(org.w3c.dom.Node aNode,
                NodeTest forTest)
                  throws NodeTestException

Validate a single Node

Parameters:
  `aNode` -
  `forTest` -
Throws:
  `NodeTestException` - if the node fails the test

#### noMoreNodes

    void noMoreNodes(NodeTest forTest)
                     throws NodeTestException

Validate that the Nodes passed one-by-one to the `testNode` method were all the Nodes expected.

Parameters:
  `forTest` -
Throws:
  `NodeTestException` - if this instance was expecting more nodes